package com.gjz.springbootmybatis;

/**
 * @author Guan
 * @date 2022/7/31
 * discription
 */
public class Teacher {
    private String afterSale;
    private String barCode;
    private int categoryId;
    private String characteristic;
    private double commission;
    private int commissionSettleType;
    private int commissionType;
    private int commissionUserType;
    private String dateAdd;
    private String dateEnd;
    private String dateEndPingtuan;
    private String dateStart;
    private String dateUpdate;
    private int expiryMillis;
    private int fxType;
    private int gotScore;
    private int gotScoreType;
    private boolean hasAddition;
    private boolean hasTourJourney;
    private int hidden;
    private int id;
    private boolean kanjia;
    private double kanjiaPrice;
    private boolean limitation;
    private int logisticsId;
    private int maxCoupons;
    private boolean miaosha;
    private int minBuyNumber;
    private double minPrice;
    private int minScore;
    private String name;
    private int numberFav;
    private int numberGoodReputation;
    private int numberOrders;
    private int numberReputation;
    private int numberSells;
    private double originalPrice;
    private boolean overseas;
    private int paixu;
    private int persion;
    private String pic;
    private boolean pingtuan;
    private double pingtuanPrice;
    private int recommendStatus;
    private String recommendStatusStr;
    private int seckillBuyNumber;
    private boolean sellEnd;
    private boolean sellStart;
    private int shopId;
    private int status;
    private String statusStr;
    private boolean storeAlert;
    private int stores;
    private boolean stores0Unsale;
    private int storesExt1;
    private int storesExt2;
    private int type;
    private String unit;
    private int unusefulNumber;
    private int usefulNumber;
    private int userId;
    private int vetStatus;
    private int views;
    private double weight;


    public Teacher() {
    }

    public Teacher(String afterSale, String barCode, int categoryId, String characteristic, double commission, int commissionSettleType,
                   int commissionType, int commissionUserType, String dateAdd, String dateEnd, String dateEndPingtuan, String dateStart,
                   String dateUpdate, int expiryMillis, int fxType, int gotScore, int gotScoreType, boolean hasAddition, boolean hasTourJourney,
                   int hidden, int id, boolean kanjia, double kanjiaPrice, boolean limitation, int logisticsId, int maxCoupons, boolean miaosha,
                   int minBuyNumber, double minPrice, int minScore, String name, int numberFav, int numberGoodReputation, int numberOrders,
                   int numberReputation, int numberSells, double originalPrice, boolean overseas, int paixu, int persion, String pic, boolean pingtuan,
                   double pingtuanPrice, int recommendStatus, String recommendStatusStr, int seckillBuyNumber, boolean sellEnd, boolean sellStart,
                   int shopId, int status, String statusStr, boolean storeAlert, int stores, boolean stores0Unsale, int storesExt1, int storesExt2,
                   int type, String unit, int unusefulNumber, int usefulNumber, int userId, int vetStatus, int views, double weight) {
        this.afterSale = afterSale;
        this.barCode = barCode;
        this.categoryId = categoryId;
        this.characteristic = characteristic;
        this.commission = commission;
        this.commissionSettleType = commissionSettleType;
        this.commissionType = commissionType;
        this.commissionUserType = commissionUserType;
        this.dateAdd = dateAdd;
        this.dateEnd = dateEnd;
        this.dateEndPingtuan = dateEndPingtuan;
        this.dateStart = dateStart;
        this.dateUpdate = dateUpdate;
        this.expiryMillis = expiryMillis;
        this.fxType = fxType;
        this.gotScore = gotScore;
        this.gotScoreType = gotScoreType;
        this.hasAddition = hasAddition;
        this.hasTourJourney = hasTourJourney;
        this.hidden = hidden;
        this.id = id;
        this.kanjia = kanjia;
        this.kanjiaPrice = kanjiaPrice;
        this.limitation = limitation;
        this.logisticsId = logisticsId;
        this.maxCoupons = maxCoupons;
        this.miaosha = miaosha;
        this.minBuyNumber = minBuyNumber;
        this.minPrice = minPrice;
        this.minScore = minScore;
        this.name = name;
        this.numberFav = numberFav;
        this.numberGoodReputation = numberGoodReputation;
        this.numberOrders = numberOrders;
        this.numberReputation = numberReputation;
        this.numberSells = numberSells;
        this.originalPrice = originalPrice;
        this.overseas = overseas;
        this.paixu = paixu;
        this.persion = persion;
        this.pic = pic;
        this.pingtuan = pingtuan;
        this.pingtuanPrice = pingtuanPrice;
        this.recommendStatus = recommendStatus;
        this.recommendStatusStr = recommendStatusStr;
        this.seckillBuyNumber = seckillBuyNumber;
        this.sellEnd = sellEnd;
        this.sellStart = sellStart;
        this.shopId = shopId;
        this.status = status;
        this.statusStr = statusStr;
        this.storeAlert = storeAlert;
        this.stores = stores;
        this.stores0Unsale = stores0Unsale;
        this.storesExt1 = storesExt1;
        this.storesExt2 = storesExt2;
        this.type = type;
        this.unit = unit;
        this.unusefulNumber = unusefulNumber;
        this.usefulNumber = usefulNumber;
        this.userId = userId;
        this.vetStatus = vetStatus;
        this.views = views;
        this.weight = weight;
    }

    public String getAfterSale() {
        return afterSale;
    }

    public void setAfterSale(String afterSale) {
        this.afterSale = afterSale;
    }

    public String getBarCode() {
        return barCode;
    }

    public void setBarCode(String barCode) {
        this.barCode = barCode;
    }

    public int getCategoryId() {
        return categoryId;
    }

    public void setCategoryId(int categoryId) {
        this.categoryId = categoryId;
    }

    public String getCharacteristic() {
        return characteristic;
    }

    public void setCharacteristic(String characteristic) {
        this.characteristic = characteristic;
    }

    public double getCommission() {
        return commission;
    }

    public void setCommission(double commission) {
        this.commission = commission;
    }

    public int getCommissionSettleType() {
        return commissionSettleType;
    }

    public void setCommissionSettleType(int commissionSettleType) {
        this.commissionSettleType = commissionSettleType;
    }

    public int getCommissionType() {
        return commissionType;
    }

    public void setCommissionType(int commissionType) {
        this.commissionType = commissionType;
    }

    public int getCommissionUserType() {
        return commissionUserType;
    }

    public void setCommissionUserType(int commissionUserType) {
        this.commissionUserType = commissionUserType;
    }

    public String getDateAdd() {
        return dateAdd;
    }

    public void setDateAdd(String dateAdd) {
        this.dateAdd = dateAdd;
    }

    public String getDateEnd() {
        return dateEnd;
    }

    public void setDateEnd(String dateEnd) {
        this.dateEnd = dateEnd;
    }

    public String getDateEndPingtuan() {
        return dateEndPingtuan;
    }

    public void setDateEndPingtuan(String dateEndPingtuan) {
        this.dateEndPingtuan = dateEndPingtuan;
    }

    public String getDateStart() {
        return dateStart;
    }

    public void setDateStart(String dateStart) {
        this.dateStart = dateStart;
    }

    public String getDateUpdate() {
        return dateUpdate;
    }

    public void setDateUpdate(String dateUpdate) {
        this.dateUpdate = dateUpdate;
    }

    public int getExpiryMillis() {
        return expiryMillis;
    }

    public void setExpiryMillis(int expiryMillis) {
        this.expiryMillis = expiryMillis;
    }

    public int getFxType() {
        return fxType;
    }

    public void setFxType(int fxType) {
        this.fxType = fxType;
    }

    public int getGotScore() {
        return gotScore;
    }

    public void setGotScore(int gotScore) {
        this.gotScore = gotScore;
    }

    public int getGotScoreType() {
        return gotScoreType;
    }

    public void setGotScoreType(int gotScoreType) {
        this.gotScoreType = gotScoreType;
    }

    public boolean isHasAddition() {
        return hasAddition;
    }

    public void setHasAddition(boolean hasAddition) {
        this.hasAddition = hasAddition;
    }

    public boolean isHasTourJourney() {
        return hasTourJourney;
    }

    public void setHasTourJourney(boolean hasTourJourney) {
        this.hasTourJourney = hasTourJourney;
    }

    public int getHidden() {
        return hidden;
    }

    public void setHidden(int hidden) {
        this.hidden = hidden;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public boolean isKanjia() {
        return kanjia;
    }

    public void setKanjia(boolean kanjia) {
        this.kanjia = kanjia;
    }

    public double getKanjiaPrice() {
        return kanjiaPrice;
    }

    public void setKanjiaPrice(double kanjiaPrice) {
        this.kanjiaPrice = kanjiaPrice;
    }

    public boolean isLimitation() {
        return limitation;
    }

    public void setLimitation(boolean limitation) {
        this.limitation = limitation;
    }

    public int getLogisticsId() {
        return logisticsId;
    }

    public void setLogisticsId(int logisticsId) {
        this.logisticsId = logisticsId;
    }

    public int getMaxCoupons() {
        return maxCoupons;
    }

    public void setMaxCoupons(int maxCoupons) {
        this.maxCoupons = maxCoupons;
    }

    public boolean isMiaosha() {
        return miaosha;
    }

    public void setMiaosha(boolean miaosha) {
        this.miaosha = miaosha;
    }

    public int getMinBuyNumber() {
        return minBuyNumber;
    }

    public void setMinBuyNumber(int minBuyNumber) {
        this.minBuyNumber = minBuyNumber;
    }

    public double getMinPrice() {
        return minPrice;
    }

    public void setMinPrice(double minPrice) {
        this.minPrice = minPrice;
    }

    public int getMinScore() {
        return minScore;
    }

    public void setMinScore(int minScore) {
        this.minScore = minScore;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public int getNumberFav() {
        return numberFav;
    }

    public void setNumberFav(int numberFav) {
        this.numberFav = numberFav;
    }

    public int getNumberGoodReputation() {
        return numberGoodReputation;
    }

    public void setNumberGoodReputation(int numberGoodReputation) {
        this.numberGoodReputation = numberGoodReputation;
    }

    public int getNumberOrders() {
        return numberOrders;
    }

    public void setNumberOrders(int numberOrders) {
        this.numberOrders = numberOrders;
    }

    public int getNumberReputation() {
        return numberReputation;
    }

    public void setNumberReputation(int numberReputation) {
        this.numberReputation = numberReputation;
    }

    public int getNumberSells() {
        return numberSells;
    }

    public void setNumberSells(int numberSells) {
        this.numberSells = numberSells;
    }

    public double getOriginalPrice() {
        return originalPrice;
    }

    public void setOriginalPrice(double originalPrice) {
        this.originalPrice = originalPrice;
    }

    public boolean isOverseas() {
        return overseas;
    }

    public void setOverseas(boolean overseas) {
        this.overseas = overseas;
    }

    public int getPaixu() {
        return paixu;
    }

    public void setPaixu(int paixu) {
        this.paixu = paixu;
    }

    public int getPersion() {
        return persion;
    }

    public void setPersion(int persion) {
        this.persion = persion;
    }

    public String getPic() {
        return pic;
    }

    public void setPic(String pic) {
        this.pic = pic;
    }

    public boolean isPingtuan() {
        return pingtuan;
    }

    public void setPingtuan(boolean pingtuan) {
        this.pingtuan = pingtuan;
    }

    public double getPingtuanPrice() {
        return pingtuanPrice;
    }

    public void setPingtuanPrice(double pingtuanPrice) {
        this.pingtuanPrice = pingtuanPrice;
    }

    public int getRecommendStatus() {
        return recommendStatus;
    }

    public void setRecommendStatus(int recommendStatus) {
        this.recommendStatus = recommendStatus;
    }

    public String getRecommendStatusStr() {
        return recommendStatusStr;
    }

    public void setRecommendStatusStr(String recommendStatusStr) {
        this.recommendStatusStr = recommendStatusStr;
    }

    public int getSeckillBuyNumber() {
        return seckillBuyNumber;
    }

    public void setSeckillBuyNumber(int seckillBuyNumber) {
        this.seckillBuyNumber = seckillBuyNumber;
    }

    public boolean isSellEnd() {
        return sellEnd;
    }

    public void setSellEnd(boolean sellEnd) {
        this.sellEnd = sellEnd;
    }

    public boolean isSellStart() {
        return sellStart;
    }

    public void setSellStart(boolean sellStart) {
        this.sellStart = sellStart;
    }

    public int getShopId() {
        return shopId;
    }

    public void setShopId(int shopId) {
        this.shopId = shopId;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public String getStatusStr() {
        return statusStr;
    }

    public void setStatusStr(String statusStr) {
        this.statusStr = statusStr;
    }

    public boolean isStoreAlert() {
        return storeAlert;
    }

    public void setStoreAlert(boolean storeAlert) {
        this.storeAlert = storeAlert;
    }

    public int getStores() {
        return stores;
    }

    public void setStores(int stores) {
        this.stores = stores;
    }

    public boolean isStores0Unsale() {
        return stores0Unsale;
    }

    public void setStores0Unsale(boolean stores0Unsale) {
        this.stores0Unsale = stores0Unsale;
    }

    public int getStoresExt1() {
        return storesExt1;
    }

    public void setStoresExt1(int storesExt1) {
        this.storesExt1 = storesExt1;
    }

    public int getStoresExt2() {
        return storesExt2;
    }

    public void setStoresExt2(int storesExt2) {
        this.storesExt2 = storesExt2;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public int getUnusefulNumber() {
        return unusefulNumber;
    }

    public void setUnusefulNumber(int unusefulNumber) {
        this.unusefulNumber = unusefulNumber;
    }

    public int getUsefulNumber() {
        return usefulNumber;
    }

    public void setUsefulNumber(int usefulNumber) {
        this.usefulNumber = usefulNumber;
    }

    public int getUserId() {
        return userId;
    }

    public void setUserId(int userId) {
        this.userId = userId;
    }

    public int getVetStatus() {
        return vetStatus;
    }

    public void setVetStatus(int vetStatus) {
        this.vetStatus = vetStatus;
    }

    public int getViews() {
        return views;
    }

    public void setViews(int views) {
        this.views = views;
    }

    public double getWeight() {
        return weight;
    }

    public void setWeight(double weight) {
        this.weight = weight;
    }


    @Override
    public String toString() {
        return "Teacher{" +
                "afterSale='" + afterSale + '\'' +
                ", barCode='" + barCode + '\'' +
                ", categoryId=" + categoryId +
                ", characteristic='" + characteristic + '\'' +
                ", commission=" + commission +
                ", commissionSettleType=" + commissionSettleType +
                ", commissionType=" + commissionType +
                ", commissionUserType=" + commissionUserType +
                ", dateAdd='" + dateAdd + '\'' +
                ", dateEnd='" + dateEnd + '\'' +
                ", dateEndPingtuan='" + dateEndPingtuan + '\'' +
                ", dateStart='" + dateStart + '\'' +
                ", dateUpdate='" + dateUpdate + '\'' +
                ", expiryMillis=" + expiryMillis +
                ", fxType=" + fxType +
                ", gotScore=" + gotScore +
                ", gotScoreType=" + gotScoreType +
                ", hasAddition=" + hasAddition +
                ", hasTourJourney=" + hasTourJourney +
                ", hidden=" + hidden +
                ", id=" + id +
                ", kanjia=" + kanjia +
                ", kanjiaPrice=" + kanjiaPrice +
                ", limitation=" + limitation +
                ", logisticsId=" + logisticsId +
                ", maxCoupons=" + maxCoupons +
                ", miaosha=" + miaosha +
                ", minBuyNumber=" + minBuyNumber +
                ", minPrice=" + minPrice +
                ", minScore=" + minScore +
                ", name='" + name + '\'' +
                ", numberFav=" + numberFav +
                ", numberGoodReputation=" + numberGoodReputation +
                ", numberOrders=" + numberOrders +
                ", numberReputation=" + numberReputation +
                ", numberSells=" + numberSells +
                ", originalPrice=" + originalPrice +
                ", overseas=" + overseas +
                ", paixu=" + paixu +
                ", persion=" + persion +
                ", pic='" + pic + '\'' +
                ", pingtuan=" + pingtuan +
                ", pingtuanPrice=" + pingtuanPrice +
                ", recommendStatus=" + recommendStatus +
                ", recommendStatusStr='" + recommendStatusStr + '\'' +
                ", seckillBuyNumber=" + seckillBuyNumber +
                ", sellEnd=" + sellEnd +
                ", sellStart=" + sellStart +
                ", shopId=" + shopId +
                ", status=" + status +
                ", statusStr='" + statusStr + '\'' +
                ", storeAlert=" + storeAlert +
                ", stores=" + stores +
                ", stores0Unsale=" + stores0Unsale +
                ", storesExt1=" + storesExt1 +
                ", storesExt2=" + storesExt2 +
                ", type=" + type +
                ", unit='" + unit + '\'' +
                ", unusefulNumber=" + unusefulNumber +
                ", usefulNumber=" + usefulNumber +
                ", userId=" + userId +
                ", vetStatus=" + vetStatus +
                ", views=" + views +
                ", weight=" + weight +
                '}';
    }
}
